function mydump(aMessage) {
  var consoleService = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);
  consoleService.logStringMessage(aMessage);
  
}

function DtaDialog() {
  DtaDialog=this;
	this.dialog=dialog;
  this.url=dialog.mLauncher.source.spec;
  try {
    this.referrer=dialog.mContext.QueryInterface(Components.interfaces.nsIWebNavigation).currentURI.spec;
  } catch(e) {
    this.referrer=this.url;
  }
	this.init();
}

DtaDialog.prototype = {

  init: function() {
		var dir = getPreference("extensions.dta.directory", "").split("|");
		
		if (dir[0].length > 0) {
			document.getElementById("directorydturbodta").setAttribute("value", "(on \"" + dir[0] + "\")");
		} else {
			document.getElementById("tdtachoices").setAttribute("disabled","true");
			document.getElementById("tdtachoices").setAttribute("collapsed","true");
		}
		
		try {
            // se dalle nostre preferenze si deseleziona il fatto di metterlo
            var saveEnabled = getPreference("extensions.dta.context.downloadWin", true);
            mydump("testo save:" + saveEnabled);
            if (!saveEnabled) {
                mydump("disabilito save");
                document.getElementById("dtachoices").setAttribute("hidden", "true");
            }
        } catch (e) { mydump(e);}
		
		this.remember=document.getElementById("rememberChoice");
		
		
		// aggiungo la nostra proprietà senza sovrascrivere le rimanenti
		document.documentElement.setAttribute('ondialogaccept', 'if(DtaDialog.dialogAccepted()) { ' + document.documentElement.getAttribute('ondialogaccept') +'}');
		
		document.getElementById("mode").addEventListener("select", function(loadEv) {DtaDialog.onSelect();},  false);
  }
,
	onSelect: function(event) {
		var mode = document.getElementById("mode").selectedItem;
		var dta = document.getElementById("downthemall");
		var tdta = document.getElementById("turbodta");
		
		if ( mode==dta || mode==tdta )
			this.remember.setAttribute("disabled", "true");
		else
			this.remember.removeAttribute("disabled");
	}
,
   dialogAccepted: function() {
		//se è quello selezionato
		var mode = document.getElementById("mode").selectedItem;
		var dta = document.getElementById("downthemall");
		var tdta = document.getElementById("turbodta");
		
		pref.setBoolPref("extensions.dta.context.autoSaveDm.dta", mode==dta && this.remember.checked);
		pref.setBoolPref("extensions.dta.context.autoSaveDm.tdta", mode==tdta && this.remember.checked);
		
    if (mode==dta)  {
			this.download(false);
      return false;
    } else if (mode==tdta) {
			this.download(true);
      return false;
    } else {
      return true;
    }
  }
,
  download: function(turbo) {
    saveLink(turbo, this.url, this.referrer);
    document.documentElement.removeAttribute('ondialogaccept');
    document.documentElement.cancelDialog();
  }
}
window.addEventListener("load", function(loadEv) {new DtaDialog();}, false);